#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private NOBSOrderFlow.NOBSOrderFlowTurboDeltaSwings[] cacheNOBSOrderFlowTurboDeltaSwings;

		
		public NOBSOrderFlow.NOBSOrderFlowTurboDeltaSwings NOBSOrderFlowTurboDeltaSwings(string helpfulNote1, bool showSwings, bool showSwingDelta, int deltaTextSize, int deltaTextOffset, Brush textColorPositiveDelta, Brush textColorNegativeDelta, Brush textColorNeutralDelta, Brush textColorUnconfirmedDelta, bool showAlgos, int algoTextSize, int algoTextOffset, string buyDisplayName, string sellDisplayName, string risingDeltaDisplayName, string fallingDeltaDisplayName, string pullbackDisplayName, string imbalanceDisplayName)
		{
			return NOBSOrderFlowTurboDeltaSwings(Input, helpfulNote1, showSwings, showSwingDelta, deltaTextSize, deltaTextOffset, textColorPositiveDelta, textColorNegativeDelta, textColorNeutralDelta, textColorUnconfirmedDelta, showAlgos, algoTextSize, algoTextOffset, buyDisplayName, sellDisplayName, risingDeltaDisplayName, fallingDeltaDisplayName, pullbackDisplayName, imbalanceDisplayName);
		}


		
		public NOBSOrderFlow.NOBSOrderFlowTurboDeltaSwings NOBSOrderFlowTurboDeltaSwings(ISeries<double> input, string helpfulNote1, bool showSwings, bool showSwingDelta, int deltaTextSize, int deltaTextOffset, Brush textColorPositiveDelta, Brush textColorNegativeDelta, Brush textColorNeutralDelta, Brush textColorUnconfirmedDelta, bool showAlgos, int algoTextSize, int algoTextOffset, string buyDisplayName, string sellDisplayName, string risingDeltaDisplayName, string fallingDeltaDisplayName, string pullbackDisplayName, string imbalanceDisplayName)
		{
			if (cacheNOBSOrderFlowTurboDeltaSwings != null)
				for (int idx = 0; idx < cacheNOBSOrderFlowTurboDeltaSwings.Length; idx++)
					if (cacheNOBSOrderFlowTurboDeltaSwings[idx].HelpfulNote1 == helpfulNote1 && cacheNOBSOrderFlowTurboDeltaSwings[idx].ShowSwings == showSwings && cacheNOBSOrderFlowTurboDeltaSwings[idx].ShowSwingDelta == showSwingDelta && cacheNOBSOrderFlowTurboDeltaSwings[idx].DeltaTextSize == deltaTextSize && cacheNOBSOrderFlowTurboDeltaSwings[idx].DeltaTextOffset == deltaTextOffset && cacheNOBSOrderFlowTurboDeltaSwings[idx].TextColorPositiveDelta == textColorPositiveDelta && cacheNOBSOrderFlowTurboDeltaSwings[idx].TextColorNegativeDelta == textColorNegativeDelta && cacheNOBSOrderFlowTurboDeltaSwings[idx].TextColorNeutralDelta == textColorNeutralDelta && cacheNOBSOrderFlowTurboDeltaSwings[idx].TextColorUnconfirmedDelta == textColorUnconfirmedDelta && cacheNOBSOrderFlowTurboDeltaSwings[idx].ShowAlgos == showAlgos && cacheNOBSOrderFlowTurboDeltaSwings[idx].AlgoTextSize == algoTextSize && cacheNOBSOrderFlowTurboDeltaSwings[idx].AlgoTextOffset == algoTextOffset && cacheNOBSOrderFlowTurboDeltaSwings[idx].BuyDisplayName == buyDisplayName && cacheNOBSOrderFlowTurboDeltaSwings[idx].SellDisplayName == sellDisplayName && cacheNOBSOrderFlowTurboDeltaSwings[idx].RisingDeltaDisplayName == risingDeltaDisplayName && cacheNOBSOrderFlowTurboDeltaSwings[idx].FallingDeltaDisplayName == fallingDeltaDisplayName && cacheNOBSOrderFlowTurboDeltaSwings[idx].PullbackDisplayName == pullbackDisplayName && cacheNOBSOrderFlowTurboDeltaSwings[idx].ImbalanceDisplayName == imbalanceDisplayName && cacheNOBSOrderFlowTurboDeltaSwings[idx].EqualsInput(input))
						return cacheNOBSOrderFlowTurboDeltaSwings[idx];
			return CacheIndicator<NOBSOrderFlow.NOBSOrderFlowTurboDeltaSwings>(new NOBSOrderFlow.NOBSOrderFlowTurboDeltaSwings(){ HelpfulNote1 = helpfulNote1, ShowSwings = showSwings, ShowSwingDelta = showSwingDelta, DeltaTextSize = deltaTextSize, DeltaTextOffset = deltaTextOffset, TextColorPositiveDelta = textColorPositiveDelta, TextColorNegativeDelta = textColorNegativeDelta, TextColorNeutralDelta = textColorNeutralDelta, TextColorUnconfirmedDelta = textColorUnconfirmedDelta, ShowAlgos = showAlgos, AlgoTextSize = algoTextSize, AlgoTextOffset = algoTextOffset, BuyDisplayName = buyDisplayName, SellDisplayName = sellDisplayName, RisingDeltaDisplayName = risingDeltaDisplayName, FallingDeltaDisplayName = fallingDeltaDisplayName, PullbackDisplayName = pullbackDisplayName, ImbalanceDisplayName = imbalanceDisplayName }, input, ref cacheNOBSOrderFlowTurboDeltaSwings);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.NOBSOrderFlow.NOBSOrderFlowTurboDeltaSwings NOBSOrderFlowTurboDeltaSwings(string helpfulNote1, bool showSwings, bool showSwingDelta, int deltaTextSize, int deltaTextOffset, Brush textColorPositiveDelta, Brush textColorNegativeDelta, Brush textColorNeutralDelta, Brush textColorUnconfirmedDelta, bool showAlgos, int algoTextSize, int algoTextOffset, string buyDisplayName, string sellDisplayName, string risingDeltaDisplayName, string fallingDeltaDisplayName, string pullbackDisplayName, string imbalanceDisplayName)
		{
			return indicator.NOBSOrderFlowTurboDeltaSwings(Input, helpfulNote1, showSwings, showSwingDelta, deltaTextSize, deltaTextOffset, textColorPositiveDelta, textColorNegativeDelta, textColorNeutralDelta, textColorUnconfirmedDelta, showAlgos, algoTextSize, algoTextOffset, buyDisplayName, sellDisplayName, risingDeltaDisplayName, fallingDeltaDisplayName, pullbackDisplayName, imbalanceDisplayName);
		}


		
		public Indicators.NOBSOrderFlow.NOBSOrderFlowTurboDeltaSwings NOBSOrderFlowTurboDeltaSwings(ISeries<double> input , string helpfulNote1, bool showSwings, bool showSwingDelta, int deltaTextSize, int deltaTextOffset, Brush textColorPositiveDelta, Brush textColorNegativeDelta, Brush textColorNeutralDelta, Brush textColorUnconfirmedDelta, bool showAlgos, int algoTextSize, int algoTextOffset, string buyDisplayName, string sellDisplayName, string risingDeltaDisplayName, string fallingDeltaDisplayName, string pullbackDisplayName, string imbalanceDisplayName)
		{
			return indicator.NOBSOrderFlowTurboDeltaSwings(input, helpfulNote1, showSwings, showSwingDelta, deltaTextSize, deltaTextOffset, textColorPositiveDelta, textColorNegativeDelta, textColorNeutralDelta, textColorUnconfirmedDelta, showAlgos, algoTextSize, algoTextOffset, buyDisplayName, sellDisplayName, risingDeltaDisplayName, fallingDeltaDisplayName, pullbackDisplayName, imbalanceDisplayName);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.NOBSOrderFlow.NOBSOrderFlowTurboDeltaSwings NOBSOrderFlowTurboDeltaSwings(string helpfulNote1, bool showSwings, bool showSwingDelta, int deltaTextSize, int deltaTextOffset, Brush textColorPositiveDelta, Brush textColorNegativeDelta, Brush textColorNeutralDelta, Brush textColorUnconfirmedDelta, bool showAlgos, int algoTextSize, int algoTextOffset, string buyDisplayName, string sellDisplayName, string risingDeltaDisplayName, string fallingDeltaDisplayName, string pullbackDisplayName, string imbalanceDisplayName)
		{
			return indicator.NOBSOrderFlowTurboDeltaSwings(Input, helpfulNote1, showSwings, showSwingDelta, deltaTextSize, deltaTextOffset, textColorPositiveDelta, textColorNegativeDelta, textColorNeutralDelta, textColorUnconfirmedDelta, showAlgos, algoTextSize, algoTextOffset, buyDisplayName, sellDisplayName, risingDeltaDisplayName, fallingDeltaDisplayName, pullbackDisplayName, imbalanceDisplayName);
		}


		
		public Indicators.NOBSOrderFlow.NOBSOrderFlowTurboDeltaSwings NOBSOrderFlowTurboDeltaSwings(ISeries<double> input , string helpfulNote1, bool showSwings, bool showSwingDelta, int deltaTextSize, int deltaTextOffset, Brush textColorPositiveDelta, Brush textColorNegativeDelta, Brush textColorNeutralDelta, Brush textColorUnconfirmedDelta, bool showAlgos, int algoTextSize, int algoTextOffset, string buyDisplayName, string sellDisplayName, string risingDeltaDisplayName, string fallingDeltaDisplayName, string pullbackDisplayName, string imbalanceDisplayName)
		{
			return indicator.NOBSOrderFlowTurboDeltaSwings(input, helpfulNote1, showSwings, showSwingDelta, deltaTextSize, deltaTextOffset, textColorPositiveDelta, textColorNegativeDelta, textColorNeutralDelta, textColorUnconfirmedDelta, showAlgos, algoTextSize, algoTextOffset, buyDisplayName, sellDisplayName, risingDeltaDisplayName, fallingDeltaDisplayName, pullbackDisplayName, imbalanceDisplayName);
		}

	}
}

#endregion
